430034d10981

Merge.
[view raw] [browse files]
author Steve Losh <steve@stevelosh.com>
date Mon, 06 Jan 2020 17:03:06 -0800
parents 005c4bb9b6e6 (diff) a47b90b61621 (current diff)
children ebc3de263271
branches/tags (none)
files

Changes

--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/delete-fucked-screenshot	Mon Jan 06 17:03:06 2020 -0800
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+SS=`ls -1 ~/Dropbox/fucked-screenshots/*.png | sort -nr | head -1`
+test "$SS" != ""
+rm "$SS"
+echom "deleted $SS"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/f	Mon Jan 06 17:03:06 2020 -0800
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+sed -Ee 's/[[:blank:]]+/ /g' -e 's/^ //' | cuts -f "$@"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/fucked-screenshot	Mon Jan 06 17:03:06 2020 -0800
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+ls -1 ~/screenshots/*.png | sort -nr | head -1 | xargs cp -t ~/Dropbox/fucked-screenshots/
+echom "shit's fucked again"
--- a/stumpwmrc	Fri Jan 03 20:29:24 2020 -0500
+++ b/stumpwmrc	Mon Jan 06 17:03:06 2020 -0800
@@ -231,6 +231,12 @@
 (defcommand screenshot () ()
   (run-shell-command "screenshot"))
 
+(defcommand save-fucked-screenshot () ()
+  (run-shell-command "fucked-screenshot"))
+
+(defcommand delete-fucked-screenshot () ()
+  (run-shell-command "delete-fucked-screenshot"))
+
 
 ;;;; Brightness ---------------------------------------------------------------
 (defparameter *brightness-values* #(0 1 5 10 25 50 75 100))
@@ -302,8 +308,8 @@
                                    (,laptop ("--off"))
                                    (,extern ("--auto"))
                                    (,extern ("--primary"))
-                                   ;; (,laptop ("--auto"))
-                                   ;; (,laptop ("--right-of" ,extern))
+                                   (,laptop ("--auto"))
+                                   (,laptop ("--left-of" ,extern))
                                    )
         do (uiop:run-program `("xrandr" "--output" ,output ,@commands))))
 
@@ -479,6 +485,8 @@
   ("H-o" "spotify")
   ("H-q" "exec lock-screen")
   ("H-y" "screenshot")
+  ("H-f" "save-fucked-screenshot")
+  ("H-F" "delete-fucked-screenshot")
   ("H-r" "loadrc")
   ("H-V" "vlime"))
 
--- a/vim/custom-dictionary.utf-8.add	Fri Jan 03 20:29:24 2020 -0500
+++ b/vim/custom-dictionary.utf-8.add	Mon Jan 06 17:03:06 2020 -0800
@@ -288,3 +288,5 @@
 upserts
 lysed
 Syslog
+RIT
+Pleasanton
--- a/vim/vimrc	Fri Jan 03 20:29:24 2020 -0500
+++ b/vim/vimrc	Mon Jan 06 17:03:06 2020 -0800
@@ -488,6 +488,8 @@
 " Typo navigation
 nnoremap ]z ]S
 nnoremap [z [S
+nnoremap ]Z ]Sz=
+nnoremap [Z [Sz=
 
 " Insert Mode Completion {{{